#include<iostream>
#include<cstdio>
using namespace std;
int main(){
    int n, m, a[101][101] = { 0 },ge[101]={0};//a[i][j] i-->j 的直飞路径，已用优惠券数
    double f[101][21] = { 0 };//距离1最短距离，已用优惠券数
    cin >> n >> m;
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            cin >> a[i][j];
        }
    }
    do{

    }while (t<w);
}